<app-navbar></app-navbar>
<div id="page-content" class="page-bg page-adjust pb-5">
    <!--Container-->
    <div class="container pt-30 max-992">
        <!--Main Content-->
        <div class="">
            <div class="row" *ngIf="myproduct">
                <!--<div class="col-md-12">
                <h2>Déposer une annonce</h2>
                </div>-->
                <div class="col-12 col-sm-12 col-md-6 col-lg-6 mb-4 mb-md-0">
                    <div class="inner in-ner">
                        <div class="float-right">
                            <button class="btn btn-envo" style="background-color: #31a44f  !important;color: #fff !important;" routerLink="/my_messeges"> <i class="fa fa-envelope" style="font-size: 14px;"></i> Tous les chats</button>
                        </div>

                        <form method="post" class="customer-form">
                            <h2 class="">Envoyer un message à {{myproduct.shop_name}}</h2>
                            <div class="row">
                                <div class="col-12 col-sm-12 col-md-12 col-lg-12 p-0">

                                    <form [formGroup]="messageform" (submit)="sendMsg()">
                                        <div class="form-group">
                                            <label for="comment">Votre message</label>
                                            <textarea class="form-control" rows="20" id="comment" placeholder="Bonjour, cette annonce est-elle toujours disponible ?" style="height: 200px !important;" formControlName="message"></textarea>

                                        </div>
                                        <div class="errormsg" *ngIf="messageform.get('message')?.touched && messageform.get('message')?.hasError('required')">
                                            <h4> <b>L'message est requis</b></h4>
                                        </div>
                                        <div>
                                            <button class="btn btn-envo" style="background-color: #31a44f  !important;color: #fff !important;" type="submit">Envoyer</button>
                                        </div>
                                        <div class="comeBack_up" *ngIf="new_initiate_chatRes">
                                            <div *ngIf="new_initiate_chatRes.status == false; else loggedOut">
                                                <br>
                                                <div class="alert alert-danger"><strong>{{ new_initiate_chatRes.errmessage }}</strong></div>
                                            </div>
                                            <ng-template #loggedOut>
                                                <br>
                                                <div class="alert alert-success"><strong>{{ new_initiate_chatRes.message }}</strong></div>
                                            </ng-template>
                                        </div>
                                    </form>
                                    <div class="m-t-20 lh-20">
                                        <a class="">Me renseigner sur les finalités du traitement de mes données personnelles, les
                                 destinataires, le responsable de traitement, les durées de conservation, les
                                 coordonnées du DPO et mes droits.</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 mb-4 mb-md-0">
                    <div class="inner in-ner">

                        <div class="row">
                            <div class="col-12 col-sm-12 col-md-12 col-lg-12 p-0">
                                <h2 class="">Résumé de l’produit</h2>
                                <h3>{{myproduct.title}}</h3>
                                <div>
                                    <h2 class="m-b-0">{{myproduct.price}} CFA</h2>

                                </div>
                                <br>
                                <div>
                                    <p class="m-b-0 f-w-5">par <strong>{{myproduct.shop_name}}</strong></p>
                                    <p class="f-w-5">N° SKU {{myproduct.sku}}</p>
                                </div>
                                <hr>
                                <h3>Description</h3>
                                <p>{{myproduct.description}}</p>
                                <a class="voir">Voir plus</a>
                                <hr>
                            </div>

                            <div>
                                <div *ngIf="myproduct.images.length != 0;else other_content">
                                    <img class="mw-100" src="{{baseurl}}static/public/{{myproduct.images[0]}}">
                                </div>
                                <ng-template #other_content>
                                    <img class="mw-100" src="./assets/build/img/nopro2.png">
                                </ng-template>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--End Main Content-->
    </div>
    <!--End Container-->
</div>

<app-footer></app-footer>